﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using Dienstfahrten.ControlTemplates.Dienstfahrten;

namespace Dienstfahrten.DienstfahrtenListeWebPart
{
    [ToolboxItemAttribute(false)]
    public class DienstfahrtenListeWebPart : WebPart
    {
        // Visual Studio might automatically update this path when you change the Visual Web Part project item.
        public const string _dienstfahrtListe = @"~/_CONTROLTEMPLATES/Dienstfahrten/DienstfahrtenListeUserControl.ascx";

        protected override void CreateChildControls()
        {
            CssRegistration.Register("/_layouts/Dienstfahrten/dienstfahrten.css");
            ClientScriptManager cs = Page.ClientScript;
            if (!cs.IsClientScriptIncludeRegistered("MD-Technologie"))
                cs.RegisterClientScriptInclude("MD-Technologie", "/_layouts/Dienstfahrten/MD-Technologie.js");

            DienstfahrtenListeUserControl dlControl = (DienstfahrtenListeUserControl)Page.LoadControl(_dienstfahrtListe);
            dlControl.DienstfahrtenListeSeiteDiv.Visible = true;
            Controls.Add(dlControl);
        }
    }
}
